#!/bin/sh

# Build and install the UniDoc documentation

SBASE=$(pwd)
TBASE=/var/www/html/unicon/unisamples

for file in $*; do
    echo
    echo "[Building docs for ${file}]"
	echo
	TD=${TBASE}/`basename ${file} .icn`
	mkdir -p ${TD}
	cd ${SBASE}
	UniDoc --title="${file}" \
	       --sourcePath=${SBASE}/../Classes \
	       --linkSrc --resolve --targetDir=${TD} ${file}
done
